.animated-collapse {display: none; opacity: 0; transform: translateY(-10px); transition: all 0.35s ease; }
.animated-collapse.show {display: block; opacity: 1; transform: translateY(0); }
.custom-multiselect .multiselect-menu {position: absolute; width: 100%; display: none; z-index: 99; }
.custom-multiselect.open .multiselect-menu {display: block; }
.profileimgbx{max-height: 526px;}
.swiper-wrapper img{width: 100%;}
.dashboardbx a{text-decoration: none;}
.chat-loader {display: flex; justify-content: center; padding: 10px; margin: 100px auto; }
.spinner {width: 30px; height: 30px; border: 4px solid #ddd; border-top-color: rgba(var(--primary), 1); border-radius: 50%; animation: spin 0.8s linear infinite; }
@keyframes spin {
    to { transform: rotate(360deg); }
}
.empty-chat-state {height: 100%; display: flex; align-items: center; justify-content: center; background: linear-gradient(135deg, #fff9f5, #fff5ea); text-align: center; padding: 40px; border-radius: 25px;}
.empty-chat-card {padding: 20px 20px;  text-align: center; animation: fadeIn 0.6s ease-out; }
.empty-chat-icon {width: 70px; height: 70px; margin: 0 auto 20px; border-radius: 50%; background: #ff4f81; display: flex; align-items: center; justify-content: center; color: white; box-shadow: 0 6px 15px rgba(255, 79, 129, 0.3); }
.empty-chat-icon svg {width: 36px; height: 36px; }
.empty-chat-card h2 {margin: 10px 0; font-size: 26px; font-weight: 600; text-align: center !important; color: #a52950; letter-spacing: 0.5px; }
.empty-chat-card p {color: #744c57; font-size: 16px; margin-top: 5px; text-align: center !important;}
@keyframes fadeIn {
    from { opacity: 0; transform: translateY(10px); }
    to   { opacity: 1; transform: translateY(0); }
}
.wishlistbtn{
    text-decoration: none;
}
.modal .btn-close{position: absolute; right: -2px; top: -2px; background-color: var(--theme-white); opacity: 1; width: 22px; height: 22px; padding: 3px; box-shadow: 0px 0px 7px rgba(0, 0, 0, 0.30); z-index: 999;}
.modal.otpmodal .btn-close{right: -7px; top: -7px;}
.modal.otpmodal .modal-dialog{max-width: 450px;}
.modal.otpmodal .modal-body{padding: 60px 50px;}
.modal.otpmodal .error-text{font-size: 14px;}
.modal.otpmodal .otp-input{background-color: var(--primary-light); border-color: rgba(var(--primary), 0.15); height: 50px; width: 50px; padding: 5px; font-size: 18px; border-radius: 15px; color: var(--theme-light-gray);}
.modal.otpmodal .otp-input:focus{border-color: rgba(var(--primary), 1); box-shadow: 0 0 0 .25rem rgba(var(--primary), 0.25);}
.modal.otpmodal h4{color: rgba(var(--theme-heading), 1); font-size: 30px; font-weight: 600; margin: 0px 0px 10px 0px;}
.modal.otpmodal p{color: var(--theme-paragraph); font-size: 14px; font-weight: 400; margin: 0px 0px 15px 0px;}
.referralBtn{padding: 8px 30px;margin: 0px;}
.form-check-input:checked {
    background-color: #ea2563;
    border-color: #ea2563;
}